<!doctype html>
<html lang="pt-br">

<head>
    <meta charset="utf-8">

    <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="0" />

    <title>Curso Angular Básico</title>

    <base target="_blank" />

    <link rel="stylesheet" href="index.css">
    <link rel="stylesheet" href="reveal.js/css/theme/white.css" id="theme">
    <link rel="stylesheet" href="reveal.js/lib/css/zenburn.css">

    <script>
        var link = document.createElement( 'link' );
        link.rel = 'stylesheet';
        link.type = 'text/css';
        link.href = window.location.search.match( /print-pdf/gi )
            ? 'reveal.js/css/print/pdf.css'
            : 'reveal.js/css/print/paper.css';
        document.getElementsByTagName( 'head' )[0].appendChild( link );
    </script>


</head>

<body>
    <div id='status-bar'></div>
    <div class="reveal">
        <div class="slides">
            <section data-markdown="slides-1010-introducao.smd"     data-separator="^\n---\n$" data-separator-vertical="^\n--\n$"></section>
            <section data-markdown="slides-1020-arquiteturas.smd"   data-separator="^\n---\n$" data-separator-vertical="^\n--\n$"></section>
            <section data-markdown="slides-1030-angular.smd"        data-separator="^\n---\n$" data-separator-vertical="^\n--\n$"></section>
            <section data-markdown="slides-1040-instalacao.smd"     data-separator="^\n---\n$" data-separator-vertical="^\n--\n$"></section>
            <section data-markdown="slides-1050-angular-cli.smd"    data-separator="^\n---\n$" data-separator-vertical="^\n--\n$"></section>
            <section data-markdown="slides-1060-overview.smd"       data-separator="^\n---\n$" data-separator-vertical="^\n--\n$"></section>
            <section data-markdown="slides-1070-modulos.smd"        data-separator="^\n---\n$" data-separator-vertical="^\n--\n$"></section>
            <section data-markdown="slides-1080-componentes.smd"    data-separator="^\n---\n$" data-separator-vertical="^\n--\n$"></section>
            <section data-markdown="slides-1090-diretivas.smd"      data-separator="^\n---\n$" data-separator-vertical="^\n--\n$"></section>
            <section data-markdown="slides-1100-servicos.smd"       data-separator="^\n---\n$" data-separator-vertical="^\n--\n$"></section>
            <section data-markdown="slides-1110-rotas.smd"          data-separator="^\n---\n$" data-separator-vertical="^\n--\n$"></section>
            <section data-markdown="slides-1120-pipes.smd"          data-separator="^\n---\n$" data-separator-vertical="^\n--\n$"></section>
            <section data-markdown="slides-1125-rxjs.smd"           data-separator="^\n---\n$" data-separator-vertical="^\n--\n$"></section>
            <section data-markdown="slides-1130-forms.smd"          data-separator="^\n---\n$" data-separator-vertical="^\n--\n$"></section>
            <section data-markdown="slides-1140-elementos-app.smd"  data-separator="^\n---\n$" data-separator-vertical="^\n--\n$"></section>
            <section data-markdown="slides-1150-fim-angular.smd"    data-separator="^\n---\n$" data-separator-vertical="^\n--\n$"></section>
            <!-- <section data-markdown="slides-2000-spring-boot.smd"            data-separator="^\n---\n$" data-separator-vertical="^\n--\n$"></section> -->
        </div>
    </div>

















    <script src="reveal.js/lib/js/head.min.js"></script>
    <script src="reveal.js/js/reveal.js"></script>
    <script src="reveal.js/plugin/markdown/marked.js"></script>
    <script src="reveal.js/plugin/markdown/markdown.js"></script>

    <script>
        Reveal.initialize({
            center: false,
            history: true,
            width: '100%',
            height: '100%',
            slideNumber: 'h.v',
            zoomKey: 'shift',
            hashOneBasedIndex: true,

            transition: 'fade', // default/cube/page/concave/linear(2d)

            menu: {
                numbers: 'h.v',
                markers: true,
                openSlideNumber: false,
                transitions: true,
                loadIcons: true,
                themes: true,
                themesPath: 'reveal.js/css/theme/',
                custom: [
                        {
                            title: 'Home', icon: '<i class="fa fa-home"></i><i>',
                            content: '<ul class="slide-menu-items">' +
                                '<li class="slide-menu-item-custom">' +
                                    '<i class="fa fa-graduation-cap"><a target="_blank" href="../index.html">Página de Início</a></i>' +
                                    '' +
                                '</li>' +
                                '<li  class="slide-menu-item-custom">' +
                                    '<i class="fa fa-file-pdf"><a target="_blank" href="./index.html?print-pdf" title="Funciona melhor no Chrome">Exportar para PDF</a></i>' +
                                    '' +
                                '</li>' +
                                '<li  class="slide-menu-item-custom">' +
                                    '<i class="fa fa-file-pdf"><a target="_blank" href="assets/seu.pdf" title="Versão em PDF gerada previamente">Versão em PDF</a></i>' +
                                    '' +
                                '</li></ul>'
                        }
                ],
            },

            dependencies: [
                {
                    src: 'reveal.js/plugin/highlight/highlight.js',
                    async: true,
                    callback: function() { hljs.initHighlightingOnLoad(); }
                },
                {
                    // Zoom in and out with Alt+click
                    src: 'reveal.js/plugin/zoom-js/zoom.js',
                    async: true
                },
                {
                    //Menu Lateral
                    src: 'reveal.js/plugin/menu/menu.js', async: true
                },
                {
                    src: 'reveal.js/plugin/notes/notes.js', async: true
                },
                {
                    src: 'reveal.js/plugin/chalk_board/chalkboard.js'
                }
            ],
            keyboard: {
                80: function() { RevealChalkboard.toggleNotesCanvas() },	// toggle notes canvas when 'p' is pressed
                81: function() { RevealChalkboard.toggleChalkboard() },	// toggle chalkboard when 'q' is pressed
                // 46: function() { RevealChalkboard.clear() },	// clear chalkboard when 'DEL' is pressed
                // 8: function() { RevealChalkboard.reset() },	// reset chalkboard data on current slide when 'BACKSPACE' is pressed
                // 68: function() { RevealChalkboard.download() },	// downlad recorded chalkboard drawing when 'd' is pressed
	        },

        });

        function copyToClipboard(text) {
            if (window.clipboardData && window.clipboardData.setData) {
                // IE specific code path to prevent textarea being shown while dialog is visible.
                return clipboardData.setData("Text", text);

            } else if (document.queryCommandSupported && document.queryCommandSupported("copy")) {
                var textarea = document.createElement("textarea");
                textarea.textContent = text;
                textarea.style.position = "fixed";  // Prevent scrolling to bottom of page in MS Edge.
                document.body.appendChild(textarea);
                textarea.select();
                try {
                    return document.execCommand("copy");  // Security exception may be thrown by some browsers.
                } catch (ex) {
                    console.warn("Copy to clipboard failed.", ex);
                    return false;
                } finally {
                    document.body.removeChild(textarea);
                }
            }
        }

        function copyToClipBoardListener(event) {
            var preEl = event.target.closest('pre');
            if (copyToClipboard(preEl.innerText)) {
                var statusBar = document.getElementById('status-bar');
                statusBar.style.display = 'block'
                statusBar.innerHTML = 'Texto copiado para o clipboard!';
                setTimeout(function() {
                    statusBar.style.display = 'none';
                }, 2000);
            }
        }

        function configCopyToCliboard() {
            var preEls = document.getElementsByTagName('pre')
            for (var i=0; i<preEls.length; i++) {
                var preEl = preEls[i];
                var copyToClipb = document.createElement('div');
                copyToClipb.className = 'copy-to-clipboard';
                copyToClipb.title = 'Copiar para o Clipboard';
                copyToClipb.innerHTML = '<i class="fa fa-clipboard"></i>';
                preEl.insertBefore(copyToClipb, preEl.childNodes[0]);
                copyToClipb.addEventListener('click', copyToClipBoardListener, true);
            }
        }

        Reveal.addEventListener( 'ready', function( event ) {

            // Ajustes para o plugin chalkboard
            var edit = document.getElementsByClassName('fa fa-pencil-square-o')[0]
            edit.className = 'far fa-edit';
            edit.title = 'Quadro'

            var pencil = document.getElementsByClassName('fa fa-pencil')[0]
            pencil.title = 'Pincel'
            pencil.className = 'fa fa-pencil-alt';

            // Copiar texto para clipboard
            configCopyToCliboard();
        });
    </script>

</body>
</html>